//============================================================
//
//  When using these shaders with your own maps, PLEASE change
//  all the shader names as well as the adjacent subset name!
//
//============================================================


//======================================
//  lava w/ surfacelight 1500
//  ooh the pain!!!
//======================================
textures/ztn3tourney1/lava_1500
{
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	q3map_surfacelight 1500
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	cull disable
	
	tesssize 128
	cull disable
	{
		map textures/liquids/lavahell.tga
		tcMod turb 0 .2 0 .1
	}
}

//======================================
//  sky w/ surfacelight 200
//
//======================================
textures/ztn3tourney1/sky_200
{
	qer_editorimage textures/skies/topclouds.tga
	// yellow lightimage fer rem0v0ring that ugly-ass0r blue ambient0r
	q3map_lightimage textures/skies/intelredclouds.tga

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	// r g b intensity angle height
	q3map_sun 1 .78 .48 100 230 54

	q3map_surfacelight 200

	skyparms - 512 -
	{
		map textures/skies/bluedimclouds.tga
		tcMod scale 3 2
		tcMod scroll 0.15 0.15
		depthWrite
	}
	{
		map textures/skies/topclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.05 0.05
	}
}

//==========================================
//  red fog w/ surfacelight 100
//  
//==========================================
textures/ztn3tourney1/hellfog01
{
	qer_editorimage textures/sfx/fog_red.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	q3map_surfacelight 100
	fogparms ( .55 .11 .1 ) 128
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc GL_DST_COLOR GL_ZERO
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc GL_DST_COLOR GL_ZERO
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}
